Error: Cannot install on a 64-bit operating system. The product is not supported on a 64-bit operating system. Setup will now exit.

PROBLEM

Operator gets the following error window when attempting to install Microsoft .NET Framework for use with the 709 Alignment software (Figure 1):

Error: Cannot install on a 64-bit operating system.

The product is not supported on a 64-bit operating system.  Setup will now exit.

 

Figure 1 – Error message while trying to install Microsoft .NET Framework 2.0

 

However, the software opens afterwards (Figure 2).

 

 

image1.jpeg

Figure 2 – MTS 709 Alignment Software Window

 

 

ANSWER

This is a misleading error message.  It’s not that Microsoft .NET Framework 2.0 won’t work on a 64 bit operating system.  This message happens if the PC you are attempting to install Microsoft .NET Framework 2.0 already has a newer version installed on it.  For example the computer may have come pre-installed with Microsoft .NET Framework 4.6.2 or 4.7.1 so will not allow Microsoft .NET Framework 2.0 to be installed over it.   

 

You do not have to uninstall the newer version and install Microsoft .NET Framework 2.0.  Ignore this message.  Any newer version of Microsoft .NET Framework will work.  

K
Keary is the author of this solution article.

Did you find it helpful? Yes No

Send feedback
Sorry we couldn't be helpful. Help us improve this article with your feedback.